<template>
  <q-page class="q-ma-md q-pa-md">
    <div class="content-center">
      <q-btn class="q-ma-md" color="primary" icon="person" label="Add Character" @click="addStdChar" />
      <div class="q-ma-md" v-for="character in characters()" v-bind:key="character.id">
        <character-preview :character="character" />
      </div>
    </div>
  </q-page>
</template>

<script>
import CharacterPreview from "../components/CharacterPreview.vue";
import { mapGetters, mapState } from "vuex";

export default {
  components: {
    "character-preview": CharacterPreview
  },
  data () {
    return {
      ...mapState("characters", ["characters"])
    };
  },
  methods: {
    addStdChar: function () {
      this.$store.commit('addStandardChar', null);
      this.$router.go(0);
    }
  }

  // name: 'PageName',
};
</script>
